package com.boman.web.core.api;


import com.boman.domain.QianshanGrid;
import com.boman.domain.constant.ServiceNameConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;


@FeignClient(contextId = "remoteQianshanGridService", value = ServiceNameConstants.WEB_CORE_SERVICE)
public interface RemoteQianshanGridService {

    /**
     * 功能描述: 查询网格信息
     *
     *
     * @return com.boman.domain.TableDataInfo
     */
    @GetMapping("core/grid/api/list/{pid}")
    List<QianshanGrid> list(@PathVariable("pid")String pid);

}

